Package groovy.console.ui.text

# Class StructuredSyntaxDocumentFilter.MultiLineRun

java.lang.Object
groovy.console.ui.text.StructuredSyntaxDocumentFilter.MultiLineRun

Enclosing class:
  StructuredSyntaxDocumentFilter

protected class StructuredSyntaxDocumentFilter.MultiLineRun extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiLineRun(int start, int end)`
  `MultiLineRun(int start, int end, int delimiterSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `end()`
  `int`
  `getDelimeterSize()`
  Deprecated.
  use `getDelimiterSize()` instead
  `int`
  `getDelimiterSize()`
  `int`
  `length()`
  `int`
  `start()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MultiLineRun

    public MultiLineRun(int start, int end) throws BadLocationException
    Throws:
      `BadLocationException`

  - ### MultiLineRun

    public MultiLineRun(int start, int end, int delimiterSize) throws BadLocationException
    Throws:
      `BadLocationException`

- ## Method Details

  - ### getDelimiterSize

    public int getDelimiterSize()

  - ### getDelimeterSize

    @Deprecated public int getDelimeterSize()
    Deprecated.
    use `getDelimiterSize()` instead

  - ### end

    public int end()

  - ### length

    public int length()

  - ### start

    public int start()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`